%define marblewidget_major 24
%define libmarblewidget %mklibname marblewidget-qt5 %{marblewidget_major}
%define astro_major 0
%define libastro %mklibname astro %{astro_major}
%define marble_devel %mklibname kf5marble -d

Name: marble
Summary: A virtual globe and world atlas
Version: 16.04.2
Release: %mkrel 1
Group: Graphical desktop/KDE5
License: LGPLv2
URL: http://www.kde.org/applications/education/marble/
Source: http://download.kde.org/stable/%version/src/%{name}-%version.tar.xz

BuildRequires: %{_lib}gpsd-devel
BuildRequires: shapelib-devel
BuildRequires: python-devel
BuildRequires: libwlocate-devel

BuildRequires: kf5-macros
BuildRequires: kdoctools-devel
#-----------------------------------------------------------------------
BuildRequires:  kf5-macros
BuildRequires:  cmake
BuildRequires:  qtbase5-common-devel
BuildRequires:  %{_lib}qt5core-devel
BuildRequires:  %{_lib}qt5dbus-devel
BuildRequires:  %{_lib}qt5gui-devel
BuildRequires:  %{_lib}qt5network-devel
BuildRequires:  %{_lib}qt5qml-devel
BuildRequires:  %{_lib}qt5quick-devel
BuildRequires:  %{_lib}qt5webchannel-devel
BuildRequires:  %{_lib}qt5opengl-devel
BuildRequires:  %{_lib}qt5printsupport-devel
BuildRequires:  %{_lib}qt5positioning-devel
BuildRequires:  %{_lib}qt5sql-devel
BuildRequires:  %{_lib}qt5webkit-devel
BuildRequires:  %{_lib}qt5webkitwidgets-devel
BuildRequires:  %{_lib}qt5svg-devel
BuildRequires:  %{_lib}qt5test-devel
BuildRequires:  %{_lib}qt5multimedia-devel
BuildRequires:  %{_lib}qt5xmlpatterns5-devel
BuildRequires:  %{_lib}qt5concurrent-devel
BuildRequires:  %{_lib}qt5xml-devel
#-----------------------------------------------------------------------

%description
Marble is a Virtual Globe and World Atlas that you can use to learn more
about Earth: You can pan and zoom around and you can look up places and
roads. A mouse click on a place label will provide the respective
Wikipedia article.

%files
%{_datadir}/mime/packages/geo.xml
%_kf5_bindir/*
%_kf5_datadir/marble
%_kf5_datadir/appdata/marble.appdata.xml
%_kf5_datadir/applications/*.desktop
%_kf5_iconsdir/hicolor/128x128/apps/marble.png
%_kf5_iconsdir/hicolor/16x16/apps/marble.png
%_kf5_iconsdir/hicolor/22x22/apps/marble.png
%_kf5_iconsdir/hicolor/32x32/apps/marble.png
%_kf5_iconsdir/hicolor/48x48/apps/marble.png
%_kf5_iconsdir/hicolor/64x64/apps/marble.png
#------------------------------------------------------------------------------
%_kf5_libdir/marble/plugins/*
%_kf5_libdir/libmarblewidget-qt5.so.24
%_kf5_libdir/libmarblewidget-qt5.so.0.24.1

#------------------------------------------------------------------------------
%_kf5_libdir/libastro.so.%{astro_major}*
%_kf5_libdir/libastro.so.1
#--------------------------------------------------------------------

%package handbook
Summary: %{name} Handbook
Group: Documentation
BuildArch: noarch

%description handbook
This package provides %{name} Handbook.

%files handbook

#--------------------------------------------------------------------

%package -n %marble_devel
Summary: Devel stuff for %{name}
Group: Development/Libraries
Requires: %name = %version-%release
Provides: %{name}-devel = %version-%release

%description -n %marble_devel
Files needed to build applications based on %{name}.

%files -n %marble_devel
%_includedir/marble
%_includedir/astro
%_kf5_libdir/*.so

#------------------------------------------------------------------------------

%prep
%setup -q 

%build
export LD=/usr/bin/ld.gold 

%{cmake_kf5} \
  -DBUILD_MARBLE_APPS=ON \
  -DBUILD_MARBLE_TESTS=OFF \
  -DBUILD_TESTING=OFF \
  -DBUILD_WITH_DBUS=ON \
  -DMOBILE=OFF \
  -DQTONLY=ON -DQT5BUILD=ON \
  -DWITH_DESIGNER_PLUGIN=OFF ..

%make

%install
rm -rf %buildroot
%makeinstall_std -C build


%changelog
* Tue Jun 14 2016 bb <bb> 16.04.2-1pclos2016
- update

